{
  "actualValues" : [ {
    "key" : 1,
    "value" : {
      "data" : "AAABAAABAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 2,
    "value" : {
      "data" : "AAEAAQEAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 3,
    "value" : {
      "data" : "AAEBAAEAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 4,
    "value" : {
      "data" : "AAAAAQEBAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 5,
    "value" : {
      "data" : "AAAAAQAAAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  } ],
  "zkState" : {
    "attestations" : [ ],
    "calculationStatus" : "CALCULATING",
    "computationState" : {
      "calculateFor" : "44444",
      "computationOutput" : {
        "engines" : 0,
        "outputInformation" : [ ],
        "variables" : [ {
          "bitLength" : 32,
          "information" : {
            "data" : "/////w=="
          },
          "variableId" : 6
        }, {
          "bitLength" : 32,
          "information" : {
            "data" : "/////w=="
          },
          "variableId" : 7
        } ]
      },
      "confirmedInputs" : 0,
      "multiplicationCount" : 1152,
      "offsetIntoFirstTripleBatch" : 0,
      "onComputeCompleteShortname" : {
        "data" : "Qg=="
      },
      "openState" : {
        "avlTrees" : [ ],
        "computationInput" : {
          "calledFunctionArguments" : [ ],
          "calledFunctionShortname" : 97
        },
        "openState" : {
          "data" : "AAAAAAAAAAAAAAAAAAAAAAAAEjRWBwAAABBDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAARQwAAAAAAAAAAAAAAAAAAAAAAAAAAAAABEkMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAhNDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMUQwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEFUMAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRZDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAYA"
        }
      },
      "optimisticMode" : true,
      "variables" : [ {
        "key" : 1,
        "value" : {
          "id" : 1,
          "information" : {
            "data" : "EEMAAA=="
          },
          "inputMaskOffset" : 0,
          "owner" : "000000000000000000000000000000000000000000",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "df3f619804a92fdb4057192dc43dd748ea778adc52bc498ce80524c014b81119"
        }
      }, {
        "key" : 2,
        "value" : {
          "id" : 2,
          "information" : {
            "data" : "EUMAAA=="
          },
          "inputMaskOffset" : 32,
          "owner" : "000000000000000000000000000000000000000001",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "b40711a88c7039756fb8a73827eabe2c0fe5a0346ca7e0a104adc0fc764f528d"
        }
      }, {
        "key" : 3,
        "value" : {
          "id" : 3,
          "information" : {
            "data" : "EkMAAA=="
          },
          "inputMaskOffset" : 64,
          "owner" : "000000000000000000000000000000000000000002",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "433ebf5bc03dffa38536673207a21281612cef5faa9bc7a4d5b9be2fdb12cf1a"
        }
      }, {
        "key" : 4,
        "value" : {
          "id" : 4,
          "information" : {
            "data" : "E0MAAA=="
          },
          "inputMaskOffset" : 96,
          "owner" : "000000000000000000000000000000000000000003",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "88185d128d9922e0e6bcd32b07b6c7f20f27968eab447a1d8d1cdf250f79f7d3"
        }
      } ]
    },
    "defaultOptimisticMode" : true,
    "engines" : {
      "engines" : [ {
        "identity" : "001122330000000000000000000000000000000000",
        "publicKey" : "Anm+Zn753LusVaBilc6HCwcCm/zbLc4o2VnygVsW+BeY",
        "restInterface" : "https://computation_node_0"
      }, {
        "identity" : "001122330000000000000000000000000000000001",
        "publicKey" : "AsYEf5RB7X1tMEVAbpXAfNhcd45LjO88p6usCblccJ7l",
        "restInterface" : "https://computation_node_1"
      }, {
        "identity" : "001122330000000000000000000000000000000002",
        "publicKey" : "AvkwigGSWMMQSTRPhfidUim1MchFg2+ZsIYB8RO84Db5",
        "restInterface" : "https://computation_node_2"
      }, {
        "identity" : "001122330000000000000000000000000000000003",
        "publicKey" : "AuST2/HBDYDzWB5JBJMLFATMbBOQDuB1hHT6lKvoxM0T",
        "restInterface" : "https://computation_node_3"
      } ]
    },
    "externalEvents" : {
      "confirmedEvents" : [ ],
      "nextEventId" : 1,
      "nextSubscriptionId" : 1,
      "subscriptions" : [ ]
    },
    "finishedComputations" : [ ],
    "nextAttestationId" : 1,
    "nextVariableId" : 8,
    "openState" : {
      "avlTrees" : [ ],
      "computationInput" : {
        "calledFunctionArguments" : [ ],
        "calledFunctionShortname" : 97
      },
      "openState" : {
        "data" : "AAAAAAAAAAAAAAAAAAAAAAAAEjRWBwAAABBDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAARQwAAAAAAAAAAAAAAAAAAAAAAAAAAAAABEkMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAhNDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMUQwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEFUMAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRZDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAYA"
      }
    },
    "pendingInput" : [ {
      "key" : 5,
      "value" : {
        "encryptedShares" : [ {
          "data" : "AAAAAQAAAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
        } ],
        "engines" : 0,
        "nodeOpenings" : [ ],
        "rejected" : false,
        "variable" : {
          "id" : 5,
          "information" : {
            "data" : "FUMAAA=="
          },
          "inputMaskOffset" : 128,
          "owner" : "000000000000000000000000000000000000000005",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "1bc5d0e3df0ea12c4d0078668d14924f95106bbe173e196de50fe13a900b0937"
        }
      }
    } ],
    "pendingOnChainOpen" : [ ],
    "preProcessMaterials" : [ {
      "key" : "BINARY_INPUT_MASK",
      "value" : {
        "batchIds" : [ ],
        "numElementsToPrefetch" : 0,
        "numRequestedBatches" : 1,
        "numUsedElements" : "160"
      }
    }, {
      "key" : "BINARY_TRIPLE",
      "value" : {
        "batchIds" : [ ],
        "numElementsToPrefetch" : 0,
        "numRequestedBatches" : 1,
        "numUsedElements" : "0"
      }
    } ],
    "variables" : [ {
      "key" : 1,
      "value" : {
        "id" : 1,
        "information" : {
          "data" : "EEMAAA=="
        },
        "inputMaskOffset" : 0,
        "owner" : "000000000000000000000000000000000000000000",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "df3f619804a92fdb4057192dc43dd748ea778adc52bc498ce80524c014b81119"
      }
    }, {
      "key" : 2,
      "value" : {
        "id" : 2,
        "information" : {
          "data" : "EUMAAA=="
        },
        "inputMaskOffset" : 32,
        "owner" : "000000000000000000000000000000000000000001",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "b40711a88c7039756fb8a73827eabe2c0fe5a0346ca7e0a104adc0fc764f528d"
      }
    }, {
      "key" : 3,
      "value" : {
        "id" : 3,
        "information" : {
          "data" : "EkMAAA=="
        },
        "inputMaskOffset" : 64,
        "owner" : "000000000000000000000000000000000000000002",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "433ebf5bc03dffa38536673207a21281612cef5faa9bc7a4d5b9be2fdb12cf1a"
      }
    }, {
      "key" : 4,
      "value" : {
        "id" : 4,
        "information" : {
          "data" : "E0MAAA=="
        },
        "inputMaskOffset" : 96,
        "owner" : "000000000000000000000000000000000000000003",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "88185d128d9922e0e6bcd32b07b6c7f20f27968eab447a1d8d1cdf250f79f7d3"
      }
    } ],
    "zkComputationDeadline" : "1234567890"
  }
}